Package org.eclipse.swt.browser

# Interface TitleListener

All Superinterfaces:
  `EventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface TitleListener extends EventListener
This listener interface may be implemented in order to receive a `TitleEvent` notification when the title of the document displayed in a `Browser` is known or has been changed.

Since:
  3.0
See Also:
  - `Browser.addTitleListener(TitleListener)`
  - `Browser.removeTitleListener(TitleListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`changed(TitleEvent event)`
This method is called when the title of the current document is available or has changed.

## Method Details

### changed

void changed(TitleEvent event)
This method is called when the title of the current document is available or has changed.

The following fields in the `TitleEvent` apply:

- (in) title the title of the current document
- (in) widget the `Browser` whose current document's title is known or modified

Parameters:
  `event` - the `TitleEvent` that contains the title of the document currently displayed in a `Browser`
Since:
  3.0